/*
 * sprite defines
 */

#define  FLIP_X_MASK 0x08
#define  FLIP_Y_MASK 0x80
#define  FLIP_MAS   0x88
#define  SIZE_MAS   0x31

#define  NO_FLIP    0x00
#define  NO_FLIP_X  0x00
#define  NO_FLIP_Y  0x00
#define  FLIP_X     0x08
#define  FLIP_Y     0x80
#define  SZ_16x16   0x00
#define  SZ_16x32   0x10
#define  SZ_16x64   0x30
#define  SZ_32x16   0x01
#define  SZ_32x32   0x11
#define  SZ_32x64   0x31

/*
 * joypad defines
 */

#define HAUT   	(joy(0)&16)==16
#define BAS    	(joy(0)&64)==64
#define GAUCHE 	(joy(0)&128)==128
#define DROITE 	(joy(0)&32)==32
#define A   	(joy(0)&1)==1
#define B   	(joy(0)&2)==2
#define SELECT 	(joy(0)&4)==4
#define RUN   	(joy(0)&8)==8

#define N_HAUT   	(joy(0)&16)==0
#define N_BAS    	(joy(0)&64)==0
#define N_GAUCHE 	(joy(0)&128)==0
#define N_DROITE 	(joy(0)&32)==0
#define N_A   		(joy(0)&1)==0
#define N_B   		(joy(0)&2)==0
#define N_SELECT 	(joy(0)&4)==0
#define N_RUN   	(joy(0)&8)==0

/*
 * screen defines
 */
#define	SCR_SIZE_32x32  0x00
#define	SCR_SIZE_64x32  0x10
#define	SCR_SIZE_128x32 0x30
#define	SCR_SIZE_32x64  0x40
#define	SCR_SIZE_64x64  0x50
#define	SCR_SIZE_128x64 0x70

/*
 * lib fastcall decls
 */
/*#pragma fastcall putnumber(word dx, byte al, word di)
  #pragma fastcall putnumber(word dx, byte al, byte cl, byte ch)*/





